- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWAParser::TableInfo Struct Reference

## Public Member Functions
| TableInfo (const boost::shared_ptr< IWORKTable > &table, unsigned columns, unsigned rows)

## Public Attributes
boost::shared_ptr< IWORKTable > | m_table
const unsigned | m_columns
const unsigned | m_rows
IWORKStylePtr_t | m_style
TableHeader | m_columnHeader
TableHeader | m_rowHeader
DataList_t | m_simpleTextList
DataList_t | m_cellStyleList
DataList_t | m_formattedTextList
DataList_t | m_commentList

## Constructor & Destructor Documentation

libetonyek::IWAParser::TableInfo::TableInfo | ( | const boost::shared_ptr< IWORKTable > & | table,
|  | unsigned | columns,
|  | unsigned | rows
| ) |  |

## Member Data Documentation

DataList_t libetonyek::IWAParser::TableInfo::m_cellStyleList

TableHeader libetonyek::IWAParser::TableInfo::m_columnHeader

const unsigned libetonyek::IWAParser::TableInfo::m_columns

DataList_t libetonyek::IWAParser::TableInfo::m_commentList

DataList_t libetonyek::IWAParser::TableInfo::m_formattedTextList

TableHeader libetonyek::IWAParser::TableInfo::m_rowHeader

const unsigned libetonyek::IWAParser::TableInfo::m_rows

DataList_t libetonyek::IWAParser::TableInfo::m_simpleTextList

IWORKStylePtr_t libetonyek::IWAParser::TableInfo::m_style

boost::shared_ptr<IWORKTable> libetonyek::IWAParser::TableInfo::m_table

The documentation for this struct was generated from the following files:

- IWAParser.h
- IWAParser.cpp